export declare class BidirectionalMap<K, V> {
    private keyToValue;
    private valueToKey;
    constructor(entries?: [K, V][]);
    set(key: K, value: V): void;
    getByKey(key: K): V | undefined;
    getByValue(value: V): K | undefined;
    deleteByKey(key: K): void;
    deleteByValue(value: V): void;
    hasKey(key: K): boolean;
    hasValue(value: V): boolean;
    keys(): MapIterator<K>;
    values(): MapIterator<V>;
}
