"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateUUID = generateUUID;
const UID_LENGTH = 16;
function generateUUID(randomGenerator) {
    if (randomGenerator.randomUUID) {
        const uuid = randomGenerator.randomUUID();
        return uuid.replace(/-/g, '');
    }
    const randomValues = new Uint8Array(UID_LENGTH);
    const bytes = randomGenerator.getRandomValues(randomValues);
    return Array.from(bytes).map(byte => byte.toString(16)).join('');
}
